"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var primeobjects_ui_web_basic_1 = require("primeobjects-ui-web-basic");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var react_2 = require("@tiptap/react");
var lodash_1 = require("lodash");
var HtmlEditorFloatHighlightToolbar = function (props) {
    var editor = props.editor;
    var colors = (0, lodash_1.isArray)(props.colors) && props.colors.length > 0 ? props.colors : [
        primeobjects_helper_util_1.COLORS.RED['100'],
        primeobjects_helper_util_1.COLORS.ORANGE['100'],
        primeobjects_helper_util_1.COLORS.BLUE['100'],
        primeobjects_helper_util_1.COLORS.GREEN['100'],
        primeobjects_helper_util_1.COLORS.GRAY['100'],
    ];
    var onClickCreateNote = function () {
        if ((0, lodash_1.isFunction)(props.onClickCreateNote))
            props.onClickCreateNote();
    };
    var onApplyColor = function (color) {
        if (editor.isActive('hightlight', { color: color })) {
            editor.chain().focus().unsetHighlight();
        }
        else {
            editor.chain().focus().toggleHighlight({ color: color }).run();
        }
    };
    return react_1.default.createElement(react_2.BubbleMenu, { editor: editor, className: "menu-wrapper" },
        (0, lodash_1.map)(colors, function (color) {
            return react_1.default.createElement("div", { className: "menu", key: color },
                react_1.default.createElement("div", { onClick: function () { return onApplyColor(color); }, style: { backgroundColor: color }, className: "menu-color ".concat(editor.isActive('hightlight', { color: color }) ? 'active' : '') }));
        }),
        (0, lodash_1.isFunction)(props.onClickCreateNote) && react_1.default.createElement("div", { className: "menu border border-0 border-l flex", style: { marginLeft: 3, paddingLeft: 3 } },
            react_1.default.createElement("div", { onClick: onClickCreateNote, className: "menu-color", style: { width: 16, height: 16 } },
                react_1.default.createElement(primeobjects_ui_web_basic_1.SVG, { src: "/icons/platform/note.svg", style: { width: 18 } }))));
};
exports.default = HtmlEditorFloatHighlightToolbar;
