import { map, isArray, isNil } from 'lodash';
import { isNonEmptyString } from 'primeobjects-helper-util/build/cjs/core';
export var getFirstMarkFromSelectedHTMLSegment = function (nodes) {
    if (isNil(nodes))
        return undefined;
    if (!isArray(nodes))
        return getFirstMarkFromSelectedHTMLSegment(nodes === null || nodes === void 0 ? void 0 : nodes.content);
    var mark = null;
    for (var i = 0; isArray(nodes) && i < nodes.length && !mark; i++) {
        var node = nodes[i];
        if (isArray(node.marks) && node.marks.length > 0) {
            mark = node.marks[0];
        }
        else {
            mark = getFirstMarkFromSelectedHTMLSegment(node === null || node === void 0 ? void 0 : node.content);
        }
    }
    ;
    return mark;
};
export var getTextFromSelectedHTMLSegment = function (nodes) {
    if (isNil(nodes))
        return '';
    if (!isArray(nodes))
        return getTextFromSelectedHTMLSegment(nodes === null || nodes === void 0 ? void 0 : nodes.content);
    return map(nodes, function (node) {
        return isNonEmptyString(node.text) ? node.text : getTextFromSelectedHTMLSegment(node);
    }).join(' ');
};
